Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.action.type
Class PDActionJavaScript

    java.lang.Object
      org.pdfbox.pdmodel.interactive.action.type.PDAction
          org.pdfbox.pdmodel.interactive.action.type.PDActionJavaScript

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

public class PDActionJavaScript
extends PDAction

This represents a JavaScript action.

Version:
  $Revision: 1.1 $
Author:
  Michael Schwarzenberger (mi2kee@gmail.com)

Field Summary
`static String` | `SUB_TYPE` This type of action this object represents.

Fields inherited from class org.pdfbox.pdmodel.interactive.action.type.PDAction
`action, TYPE`

Constructor Summary
`PDActionJavaScript()` Constructor #1.
`PDActionJavaScript(COSDictionary a)` Constructor #2.
`PDActionJavaScript(String js)` Constructor.

Method Summary
`PDTextStream` | `getAction()`
`void` | `setAction(PDTextStream sAction)`
`void` | `setAction(String sAction)`

Methods inherited from class org.pdfbox.pdmodel.interactive.action.type.PDAction
`getCOSDictionary, getCOSObject, getNext, getSubType, getType, setNext, setSubType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUB_TYPE

    public static final String SUB_TYPE

  This type of action this object represents.

  See Also:
    Constant Field Values

Constructor Detail

### PDActionJavaScript

    public PDActionJavaScript()

  Constructor #1.

### PDActionJavaScript

    public PDActionJavaScript(String js)

  Constructor.

Parameters:
  `js` - Some javascript code.

### PDActionJavaScript

    public PDActionJavaScript(COSDictionary a)

  Constructor #2.

Parameters:
  `a` - The action dictionary.

Method Detail

### setAction

    public void setAction(PDTextStream sAction)

  Parameters:
    `sAction` - The JavaScript.

### setAction

    public void setAction(String sAction)

  Parameters:
    `sAction` - The JavaScript.

### getAction

    public PDTextStream getAction()

  Returns:
    The Javascript Code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD